Get Runchat Schema
curl --request GET \
--url https://runchat.com/api/v1/{runchat_id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://runchat.com/api/v1/{runchat_id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://runchat.com/api/v1/{runchat_id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inputs": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"data": [
{}
]
}
],
"outputs": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"data": [
{}
]
}
],
"name": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Endpoints
Schema
Fetch the input and output parameter schema for a published Runchat workflow. Use the parameter IDs to build requests to the Run endpoint.
GET
/
{runchat_id}
/
schema
Get Runchat Schema
Authorizations
Bearer token authentication using Runchat API key. API keys can be created from the account menu
Path Parameters
The unique identifier for the Runchat. The Runchat ID can be found in the id parameter of the URL when open in the editor.
⌘I